#ifndef REPORTING_THREAD_H_INCLUDED
#define REPORTING_THREAD_H_INCLUDED

#include <QThread>
#include <QString>

class hwapi;
class ReportingThread : public QThread {
    Q_OBJECT

public:
    ReportingThread(hwapi *hw);
    ~ReportingThread();

protected:
    // reporting thread does not have a running event queue, and therefore
    // no slots. signals work the usual way.
    void run() override;

private:
    hwapi *m_hw;
    QString m_fileToDownload;
};

#endif // REPORTING_THREAD_H_INCLUDED
